type __VLS_Props = {
    when: boolean;
    duration?: number;
    easing?: string;
    delay?: number;
};
declare var __VLS_12: {};
type __VLS_Slots = {} & {
    default?: (props: typeof __VLS_12) => any;
};
declare const __VLS_base: import('vue').DefineComponent<__VLS_Props, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {} & {
    "open-start": () => any;
    "open-end": () => any;
    "close-start": () => any;
    "close-end": () => any;
}, string, import('vue').PublicProps, Readonly<__VLS_Props> & Readonly<{
    "onOpen-start"?: (() => any) | undefined;
    "onOpen-end"?: (() => any) | undefined;
    "onClose-start"?: (() => any) | undefined;
    "onClose-end"?: (() => any) | undefined;
}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
declare const __VLS_export: __VLS_WithSlots<typeof __VLS_base, __VLS_Slots>;
declare const _default: typeof __VLS_export;
export default _default;
type __VLS_WithSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
